[3.1][3.2][FORK] LF who was here

In diesem Forum können Extension-Autoren ihre Extensions vorstellen, die sich noch im Entwicklungsstatus befinden. Der Einbau in Foren im produktiven Betrieb wird nicht empfohlen.
MK35
Mitglied
Beiträge: 113
Registriert: 16.04.2007 15:32

Re: [3.1][3.2][FORK] LF who was here

Beitragvon MK35 » 05.10.2018 12:54

Ich habe das Problem das ich noch nicht einmal ins ACP Modul komme (bzw. ich es gar nicht sehe). Forum ist Version 3.2.3

Habe die Ext installiert und aktiviert. Cache geleert.

Die Ext. wird auch auf der Index.php angezeigt.

Im ACP habe ich unter Erweiterungen keinen Einstellungspunkt.

Ich habe das Modul dann händisch unter System ACP Bereich eingefügt.

Wenn ich jetzt den Link anklicke der mit unter Erweiterungen angezeigt wird bekomme ich folgende Fehlermeldung:

Code: Alles auswählen

Auf das Modul kann nicht zugegriffen werden

BACKTRACE

FILE: (not given by php)
LINE: (not given by php)
CALL: msg_handler()

FILE: [ROOT]/includes/functions_module.php
LINE: 565
CALL: trigger_error()

FILE: [ROOT]/adm/index.php
LINE: 82
CALL: p_master->load_active()


Unter Filezilla habe ich die Berechtigung 750. Reicht das nicht bzw. wo liegt der Fehler?

Viele Dank für eure Hilfe
Zuletzt geändert von Melmac am 05.10.2018 14:17, insgesamt 1-mal geändert.
Grund: Fehlermeldung in Code-Tags gesetzt

Benutzeravatar
LukeWCS
Mitglied
Beiträge: 296
Registriert: 15.12.2014 10:19
Kontaktdaten:

Re: [3.1][3.2][FORK] LF who was here

Beitragvon LukeWCS » 05.10.2018 14:25

Hallo

Manuelles Hinzufügen des ACP Moduls ist nie notwendig. Wenn das bei einer Erweiterung manuell gemacht werden muss, dann stimmt schon etwas grundsätzliches nicht und das muss nicht unbedingt etwas mit der Erweiterung an sich zu tun haben. Bitte mal mehr Informationen:

Welche Version von WWH hast du wo heruntergeladen?
War bereits eine Version von WWH installiert und wenn ja, welche Version genau?

Das klingt ziemlich stark nach dem Problem das Wolkenbruch hatte, aber ich möchte erst mal mehr Infos.

Was die Rechte angeht: Im Umfeld der Erweiterungen genügt der Standard, also 755 bei Ordnern und 644 bei Dateien. Ich habe noch nie bei einer Erweiterung manuell die Rechte der Dateien und Ordner anpassen müssen. Ich verwende zum hochladen übrigens Total Commander, habe aber auch Filezilla (für Sonderfälle) installiert.

edit: die Fehlermeldungen besagen, dass das ACP Modul nicht aktiviert/geladen werden kann. Es gilt jetzt herauszufinden, warum das so ist.
Zuletzt geändert von LukeWCS am 05.10.2018 21:42, insgesamt 1-mal geändert.
Möge das Backup mit dir sein. Immer.

Meine Erweiterungen: Monospace font for Posting Editor
Meine Erweiterungs-Forks: LF who was here, ModBreak eXtended

MK35
Mitglied
Beiträge: 113
Registriert: 16.04.2007 15:32

Re: [3.1][3.2][FORK] LF who was here

Beitragvon MK35 » 05.10.2018 20:26

Hallo LukeWCS,

also ich habe das WWH hier im ersten Beitrag runtergeladen, also hier https://github.com/LukeWCS/lf-who-was-here/releases dann.

Es ist die Version 1.3.2.

Ich hatte vorher die Version WWH 1.2.1 drauf. Hier hatte ich allerding auch kein ACP Menü. Ich wusste gar nicht das überhaupt eins für die Extension vorgesehen ist :roll:

Die Erweiterung ist aktiviert. Sie wird mir im Anpassungsmenü angezeigt.

Soll ich die komplette extension noch einmal deinstallieren und neu aufspielen?

Benutzeravatar
LukeWCS
Mitglied
Beiträge: 296
Registriert: 15.12.2014 10:19
Kontaktdaten:

Re: [3.1][3.2][FORK] LF who was here

Beitragvon LukeWCS » 05.10.2018 21:13

MK35 hat geschrieben:also ich habe das WWH hier im ersten Beitrag runtergeladen, also hier https://github.com/LukeWCS/lf-who-was-here/releases dann.

Es ist die Version 1.3.2.


Ok, dann passt das schon mal.

Ich hatte vorher die Version WWH 1.2.1 drauf. Hier hatte ich allerding auch kein ACP Menü. Ich wusste gar nicht das überhaupt eins für die Extension vorgesehen ist :roll:


Das hatte ich vermutet. :wink: Ja, bereits WWH 1.2.1 hatte eigentlich ein ACP Modul.

Es scheint insbesondere mit der Version 1.2.1 potentielle Probleme mit dem ACP Modul zu geben. Du bist bereits der zweite der das meldet und das deutet dann schon auf ein Muster hin.

Soll ich die komplette extension noch einmal deinstallieren und neu aufspielen?


Ja, allerdings ist da ein bisschen mehr notwendig. Die Probleme werden durch eine bereits defekte Installation von WWH 1.2.1 verursacht. Diese Probleme müssen zuerst behoben werden, sonst ist eine ordentliche Installation von LF-WWH nicht möglich. Wir versuchen jetzt zuerst den Weg den ich direkt bei Wolkenbruch ausgeführt habe. Bitte genau an diese Anleitung halten:

  1. Unbedingt zuerst eine Sicherung der Datenbank durchführen und diese Sicherung dann lokal auf den PC holen.
  2. Schau in der Sicherung nach, ob du die Variablen wwh_record_ips und wwh_record_time und deren Werte findest. Das sind die beiden Werte die du später brauchst, um deinen Besucherrekord wieder herzustellen.
  3. "LF who was here" deaktivieren.
  4. Arbeitsdaten von "LF who was here" löschen. Da mein Fork auf WWH aufbaut, werden bei diesem Schritt auch nahezu alle Variablen der alten WWH Version gelöscht. Es bleiben zwar Reste übrig, aber die sind für dein Problem unerheblich und stören uns nicht
  5. Im ACP: SYSTEM > Administrations-Bereich > Erweiterungen. Dort schauen ob es noch ein "Wer war da?" oder "WWH" Modul gibt. Falls ja, muss das manuell entfernt werden. Erst auf den Titel klicken um zu schauen ob darin noch ein Untermodul ("Einstellungen" oder "Settings") vorhanden ist. Falls ja, erst das Untermodul löschen, dann kann das Modul selbst gelöscht werden. Bitte hier aufpassen was du löschst. Nur WWH-Module, sonst nichts.
  6. Jetzt den Cache leeren.
  7. Anschliessend LF-WWH wie gehabt installieren.

Jetzt solltest du prüfen, ob das ACP Modul von LF-WWH aufgerufen werden kann. Fall ja, geht's nur noch darum deinen Rekord zu rekonstruieren, aber das ist dann Kleinkram. ^^
Möge das Backup mit dir sein. Immer.

Meine Erweiterungen: Monospace font for Posting Editor
Meine Erweiterungs-Forks: LF who was here, ModBreak eXtended

MK35
Mitglied
Beiträge: 113
Registriert: 16.04.2007 15:32

Re: [3.1][3.2][FORK] LF who was here

Beitragvon MK35 » 05.10.2018 21:57

LukeWCS hat geschrieben:[*]Schau in der Sicherung nach, ob du die Variablen wwh_record_ips und wwh_record_time und deren Werte findest. Das sind die beiden Werte die du später brauchst, um deinen Besucherrekord wieder herzustellen.


Sicherung habe ich per mysql gemacht. Ich finde die Variablen aber nicht. Unter welcher Tabelle müsste ich die denn finden? Ich habe lediglich die Tabelle phpbb_wwh gefunden die auf die alte Extension hindeutet und hier sind leider nicht die genanten Variablen drinne.

Benutzeravatar
LukeWCS
Mitglied
Beiträge: 296
Registriert: 15.12.2014 10:19
Kontaktdaten:

Re: [3.1][3.2][FORK] LF who was here

Beitragvon LukeWCS » 05.10.2018 22:25

MK35 hat geschrieben:Sicherung habe ich per mysql gemacht. Ich finde die Variablen aber nicht. Unter welcher Tabelle müsste ich die denn finden? Ich habe lediglich die Tabelle phpbb_wwh gefunden die auf die alte Extension hindeutet und hier sind leider nicht die genanten Variablen drinne.


Diese Tabelle gibt's auch bei LF-WWH und darin sind deine Besucher gespeichert. Du brauchst die Tabelle phpbb_config, darin findest du die komplette WWH Konfig bei den Variablen die alle mit wwh_ beginnen.
Möge das Backup mit dir sein. Immer.

Meine Erweiterungen: Monospace font for Posting Editor
Meine Erweiterungs-Forks: LF who was here, ModBreak eXtended

MK35
Mitglied
Beiträge: 113
Registriert: 16.04.2007 15:32

Re: [3.1][3.2][FORK] LF who was here

Beitragvon MK35 » 06.10.2018 12:57

Hallo Luke WCS,

habe deine Schritte durchgeführt und was soll ich sagen, jetzt funzt es. Habe im ACP unter Erweiterungen die vorhandenen Einstellungsmöglichkeiten. Danke dir. Läuft :grin:

Jetzt noch die Frage zum alten Besucherrekord: Ich hatte folgende Werte in der DB stehen: wwh record ips / config value 90 / is dynamic 1 und bei wwwh record_time / config value 1404328369 / is dynamic 1.

Muss ich die Werte einfach Händisch in der Datenbank eintragen?

Benutzeravatar
LukeWCS
Mitglied
Beiträge: 296
Registriert: 15.12.2014 10:19
Kontaktdaten:

Re: [3.1][3.2][FORK] LF who was here

Beitragvon LukeWCS » 06.10.2018 13:44

MK35 hat geschrieben:habe deine Schritte durchgeführt und was soll ich sagen, jetzt funzt es. Habe im ACP unter Erweiterungen die vorhandenen Einstellungsmöglichkeiten. Danke dir. Läuft :grin:


Prima, und danke für die Rückmeldung. :)

Jetzt noch die Frage zum alten Besucherrekord: Ich hatte folgende Werte in der DB stehen: wwh record ips / config value 90 / is dynamic 1 und bei wwwh record_time / config value 1404328369 / is dynamic 1.

Muss ich die Werte einfach Händisch in der Datenbank eintragen?


So ist es. Bei wwh_record_ips 90 eintragen und bei wwh_record_time 1404328369.
Möge das Backup mit dir sein. Immer.

Meine Erweiterungen: Monospace font for Posting Editor
Meine Erweiterungs-Forks: LF who was here, ModBreak eXtended

Benutzeravatar
LukeWCS
Mitglied
Beiträge: 296
Registriert: 15.12.2014 10:19
Kontaktdaten:

Re: [3.1][3.2][FORK] LF who was here

Beitragvon LukeWCS » 06.10.2018 20:58

Update 1.3.3 ist online.
Möge das Backup mit dir sein. Immer.

Meine Erweiterungen: Monospace font for Posting Editor
Meine Erweiterungs-Forks: LF who was here, ModBreak eXtended

Benutzeravatar
Kurt W
Mitglied
Beiträge: 374
Registriert: 15.07.2017 10:37
Kontaktdaten:

Re: [3.1][3.2][FORK] LF who was here

Beitragvon Kurt W » 06.10.2018 21:17

Gerade ohne Probleme installiert. :wink:

Im Portal ist die Anzeige aber nicht zu sehen.

Danke dir für deine Arbeit.

Gruß Kurt


Zurück zu „Extensions in Entwicklung“